#include<iostream>
using namespace std;
int n;
long long otg = 0;
int main(){
    cin >> n;
    for(int a = 1; a < n / 2 + 1; ++a){
        //cout << "a " << a << ", ";
        if(n % a == 0){
            for(int b = a; b < n / 2 + 1 && b >= a; ++b){
               // cout << "b " << b << ", ";
                if(n % (a * b) == 0 && n / (a * b) >= b){
                   // cout << "c " << (n / a) / b << " = " << n << endl;
                    otg++;
                }
            }
        }
        //cout << endl;
    }
    cout << otg;
    return 0;
}
